@use 'partials/components/top-bar';
@use 'partials/components/menu';
@use 'partials/classes/behavior';

app-menu-button {
  @extend .clickable;
}

.slides-panel-container {
  position: absolute;
  width: 100%;
  height: calc(100vh - #{top-bar.$top-bar-height});
  top: 0;
  left: 0;
  z-index: 200;
  overflow: hidden;
  display: flex;
  flex-direction: row-reverse;
}

.float-container {
  position: absolute;
  width: 100%;
  height: calc(100vh - #{top-bar.$top-bar-height});
  top: 0;
  left: 0;
}

.menu-flex-container {
  display: flex;
  height: 100%;
  width: 100%;
}

.right-menu-content-container {
  display: flex;
  flex-direction: column;
  align-self: flex-start;
}

.content-full-width {
  width: 100%;
}

.workspace-container {
  display: flex;
  flex-grow: 1;
}

.workspace {
  width: 100%;
  height: 100%;
}

.btn-right-container {
  display: flex;
  flex-direction: column;
}

.side-nav-full-width {
  left: 0;
}

.no-transition {
  // float buttons add overflow - remove it
  overflow: hidden;
  transition-duration: 0ms !important;
}

// TODO: look for a better solution, ::ng-deep is deprecated
::ng-deep .mat-drawer-inner-container {
  overflow: hidden !important;
}
